
import os
import re
import json
import random
import string
import math
import datetime

def generate_random_string(length=10):
    return ''.join(random.choice(string.ascii_lowercase + string.digits) for _ in range(length))

def count_vowels_and_consonants(text):
    vowels = "aeiouAEIOU"
    consonants = "bcdfghjklmnpqrstvwxyzBCDFGHJKLMNPQRSTVWXYZ"
    vowel_count = sum(1 for char in text if char in vowels)
    consonant_count = sum(1 for char in text if char in consonants)
    return vowel_count, consonant_count

def xxx(arg1, arg2):
    if not isinstance(arg1, str) or not isinstance(arg2, int):
        raise ValueError("arg1 must be a string and arg2 must be an integer")
    random_str = generate_random_string(arg2)
    vowels, consonants = count_vowels_and_consonants(random_str)
    return random_str, vowels, consonants

